Skip to main content

Pre-Authorization with a Token


Use this information to process a pre-authorization.

Response Field Handling

When you receive the AUTH_DECLINE_CAPTURE_POSSIBLE value in the errorInformation.reason field of an authorization response, it indicates that a capture attempt is not rejected automatically. Before processing the capture, verify that it is permitted in this scenario by reviewing the card scheme's First Ride Risk and shared-liability rules.

For more information, see the errorInformation.reason field description.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "TransitDA BAU nominal value auth",    "transactionId": "12845679",    "partner": {      "thirdPartyCertificationNumber": "123456789012"    }  },  "pointOfSaleInformation": {    "operatingEnvironment": "2",    "terminalPinCapability": "0",    "catLevel": "2",    "terminalId": "12345678",    "entryMode": "contactless",    "terminalCapability": "5",    "emv": {      "cardSequenceNumber": "01"    }  },  "processingInformation": {    "reconciliationId": "7866535268",    "commerceIndicator": "retail",    "industryDataType": "transit",    "authorizationOptions": {      "aggregatedAuthIndicator": "true",      "deferredAuthIndicator": "true"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "1",      "currency": "THB"    }  },  "tokenInformation": {    "jti": "c76392f4-cde4-11aa-b8bc-0242ac14c074"  },  "paymentInformation": {    "card": {      "type": "062"    }  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/7012384708016080703137/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/7012384708016080703137"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/7012384708016080703137/captures"    }  },  "clientReferenceInformation": {    "code": "TransitDA BAU nominal value auth",    "transactionId": "12845679"  },  "id": "7012384708016080703137",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "1.00",      "currency": "THB"    }  },  "paymentAccountInformation": {    "card": {      "type": "062"    }  },  "paymentInformation": {    "tokenizedCard": {      "type": "062"    },    "card": {      "type": "062"    }  },  "processorInformation": {    "approvalCode": "005290",    "settlementDate": "0501",    "responseCode": "00",    "avs": {      "code": "2"    }  },  "reconciliationId": "333306641171",  "status": "AUTHORIZED",  "submitTimeUtc": "2023-11-29T06:14:33Z"}
{  "_links": {    "self": {      "method": "GET",      "href": "/pts/v2/payments/7012384708016080703137"    }  },  "clientReferenceInformation": {    "code": "TransitDA BAU nominal value auth"  },  "errorInformation": {    "reason": "AUTH_DECLINE_CAPTURE_POSSIBLE",    "message": "Authorization Declined. Follow-on Capture can be processed."  },  "id": "7078109972977125857011",  "paymentInsightsInformation": {    "responseInsights": {      "categoryCode": "97",      "category": "PAYMENT_INSIGHTS_INTERNAL_ERROR"    }  },  "processorInformation": {    "responseCode": "58",    "avs": {      "code": "2"    }  },  "status": "AUTHORIZED"}
FieldTypeDescription
clientReferenceInformation.codeSet this field value to TransitDA BAU nominal value auth.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.type
pointOfSaleInformation.catLevelSet this field to 2.
pointOfSaleInformation.emv.cardSequenceNumber
pointOfSaleInformation.entryModeSet this field to contactless.
pointOfSaleInformation.operatingEnvironment
pointOfSaleInformation.terminalCapabilitySet this field to 5.
pointOfSaleInformation.terminalId
pointOfSaleInformation.terminalPinCapabilitySet this field to 0.
processingInformation.authorizationOptions.aggregatedAuthIndicatorSet this field to true.
processingInformation.authorizationOptions.deferredAuthIndicatorSet this field to true.
processingInformation.commerceIndicatorSet this field to retail.
processingInformation.industryDataTypeSet this field to transit.
processingInformation.reconciliationId
tokenInformation.jti

Last published: September 29, 2026